All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.business
Class BusinessQueryProperty

    com.sas.iquery.metadata.business.BusinessQueryProperty

All Implemented Interfaces:
  com.sas.util.LocalizableToStringInterface

    public class BusinessQueryProperty

Defines properties for the Business Query

Field Summary
`static BusinessQueryProperty` | `BUSINESS_QUERY_OLAP_CALCULATED_MEMBERS` This property allows all members including calculated member to be shown in query.
`static BusinessQueryProperty` | `BUSINESS_QUERY_OLAP_DRILLUP_IGNORED_WHEN_GETTING_BYGROUP_VALUES` This property determines whether MDX generated will use the business query will apply the DrillupLevel upon the application of a section filter to a data selection.
`static BusinessQueryProperty` | `BUSINESS_QUERY_OLAP_MEASURE_GROUPING` This property allows measures to be grouped either by an action on the OLAP cube or set a group property
`static BusinessQueryProperty` | `BUSINESS_QUERY_OLAP_SORT_PRECEDENCE` This property determines whether MDX generated will use the business query sorting definition as precedence or combine both a DataItem and Business Query sorting definition.
`static BusinessQueryProperty` | `EFFECTIVE_RESULT_ITEMS_IGNORE_PARENT_ITEMS` This property determines whether or not the result items from any parent query are ignored when compiling a list of effective result items for the `getEffectiveResultItems()` method.
`static BusinessQueryProperty` | `EXCLUDE_EMPTY_DATA` This property determines whether EMPTY data is excluded from the resulting data.
`static BusinessQueryProperty` | `RETURN_DISTINCT_VALUES` This property determines whether only DISTINCT values are returned.
`static BusinessQueryProperty` | `RETURN_UNFORMATTED_DATA` This property determines whether FORMATTED or UNFORMATTED data is returned.

Field Detail

*** This field is subject to change. ***

### RETURN_DISTINCT_VALUES

    public static final BusinessQueryProperty RETURN_DISTINCT_VALUES

  This property determines whether only DISTINCT values are returned. The default is false, and this property is only used by Relational Structures. If all items in the business query have a usage of USAGE_CATEGORY, this option has no effect.

*** This field is subject to change. ***

### EXCLUDE_EMPTY_DATA

    public static final BusinessQueryProperty EXCLUDE_EMPTY_DATA

  This property determines whether EMPTY data is excluded from the resulting data. The default is false, and this property is only used by OLAP Structures.

*** This field is subject to change. ***

### BUSINESS_QUERY_OLAP_SORT_PRECEDENCE

    public static final BusinessQueryProperty BUSINESS_QUERY_OLAP_SORT_PRECEDENCE

  This property determines whether MDX generated will use the business query sorting definition as precedence or combine both a DataItem and Business Query sorting definition. The default value for this property is false.

  Note: This method is specifically used to perform ordering for OLAP. This method is not used for relational information maps.

  Examples of how this property effects the MDX generated:

  Where BUSINESS_QUERY_SORT_PRECEDENCE is equal to true, a business query sort is applied to sort ACTUAL_AVG within a crossjoin ONLY:

  MDX generated:

  {[Measures].[ACTUAL_AVG]} ON COLUMNS,ORDER ( CROSSJOIN({[TIME].[YEAR].MEMBERS}, {[GEOGRAPHIC].[COUNTRY].MEMBERS}), [Measures].[ACTUAL_AVG], DESC)

  Where BUSINESS_QUERY_SORT_PRECEDENCE is equal to false, a dataitem sort is applied to YEAR first followed by a business query sort is applied to sort ACTUAL_AVG within a crossjoin:

  MDX generated:

  generate ( ORDER([TIME].[YEAR].MEMBERS, [TIME].CURRENTMEMBER.NAME, bdesc), CrossJoin ( {[TIME].CURRENTMEMBER }, order( [GEOGRAPHIC].[COUNTRY].MEMBERS, [Measures].[ACTUAL_SUM],BDESC) ) )

*** This field is subject to change. ***

### RETURN_UNFORMATTED_DATA

    public static final BusinessQueryProperty RETURN_UNFORMATTED_DATA

  This property determines whether FORMATTED or UNFORMATTED data is returned. The default is false, which means that FORMATTED data is returned, and this property is only used by Relational Structures. The OLAP Structure always supports both FORMATTED and UNFORMATTED data.

*** This field is subject to change. ***

### EFFECTIVE_RESULT_ITEMS_IGNORE_PARENT_ITEMS

    public static final BusinessQueryProperty EFFECTIVE_RESULT_ITEMS_IGNORE_PARENT_ITEMS

  This property determines whether or not the result items from any parent query are ignored when compiling a list of effective result items for the `getEffectiveResultItems()` method.

*** This field is subject to change. ***

### BUSINESS_QUERY_OLAP_DRILLUP_IGNORED_WHEN_GETTING_BYGROUP_VALUES

    public static final BusinessQueryProperty BUSINESS_QUERY_OLAP_DRILLUP_IGNORED_WHEN_GETTING_BYGROUP_VALUES

  This property determines whether MDX generated will use the business query will apply the DrillupLevel upon the application of a section filter to a data selection. This is used exclusively, in the area of by group processing.

  MDX generated:

  DrillupLevel({ descendants([GEOGRAPHIC].[All GEOGRAPHIC].[CANADA]), descendants([GEOGRAPHIC].[All GEOGRAPHIC].[CENTRAL])}, [GEOGRAPHIC].[REGION])

*** This field is subject to change. ***

### BUSINESS_QUERY_OLAP_CALCULATED_MEMBERS

    public static final BusinessQueryProperty BUSINESS_QUERY_OLAP_CALCULATED_MEMBERS

  This property allows all members including calculated member to be shown in query.

### BUSINESS_QUERY_OLAP_MEASURE_GROUPING

    public static final BusinessQueryProperty BUSINESS_QUERY_OLAP_MEASURE_GROUPING

  This property allows measures to be grouped either by an action on the OLAP cube or set a group property

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.